import React from 'react';
import { translateRaw } from 'translations';
import { BlockExplorerConfig } from 'types/network';

export interface TransactionSucceededProps {
  txHash: string;
  blockExplorer: BlockExplorerConfig;
}

const TransactionSucceeded = ({ txHash, blockExplorer }: TransactionSucceededProps) => {
  const txHashLink = blockExplorer.txUrl(txHash);

  return (
    <div>
      <p>{translateRaw('SUCCESS_3') + txHash}</p>
      <a
        className="btn btn-xs btn-info string"
        href={txHashLink}
        target="_blank"
        rel="noopener noreferrer"
      >
        Verify Transaction
      </a>
    </div>
  );
};

export default TransactionSucceeded;
